﻿''' <summary>
''' バージョン情報
''' </summary>
''' <remarks></remarks>
Public Class FormAbout

    Private Sub FormAbout_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        '=== フォーム設定 ===
#If DEBUG Then
        Me.Text &= String.Format(" - {0}(OS:{1})", If(Environment.Is64BitProcess, "x64", "x86"), If(Environment.Is64BitOperatingSystem, "x64", "x86"))
#End If
        Me.Icon = My.Resources.MainIcon

        '=== 各種表示 ===
        lblTitle.Text = My.Application.Info.Title
        lblVersion.Text = "Version " & My.Application.Info.Version.ToString
        lblCopyright.Text = My.Application.Info.Copyright
        With lnkCompanyName
            Const linkText As String = "Web Site"
            .Text = My.Application.Info.CompanyName & " (" & linkText & ")"
            .Links.Add(.Text.IndexOf(linkText), linkText.Length, FormViewer_Main.ConfigReader("Offical Web Site URL", "http://digitalian.webcrow.jp/"))
        End With

    End Sub

    Private Sub picLogo_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles picLogo.Paint

        '=== アイコン描画 ===
        e.Graphics.DrawIcon(Me.Icon, 0, 0)

    End Sub

    Private Sub lnkCompanyName_LinkClicked(sender As System.Object, e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles lnkCompanyName.LinkClicked

        If MessageBox.Show("既定のブラウザを実行します。" & vbCrLf & e.Link.LinkData, Me.Text, MessageBoxButtons.OKCancel, MessageBoxIcon.Information, MessageBoxDefaultButton.Button2) = DialogResult.OK Then

            '=== Web Siteを開く ===
            Try
                System.Diagnostics.Process.Start(e.Link.LinkData)
                e.Link.Visited = True '訪問済み
            Catch ex As Exception
                MessageBox.Show("表示に失敗しました。" & vbCrLf & vbCrLf & ex.Message, Me.Text, MessageBoxButtons.OK, MessageBoxIcon.Error)
            End Try

        End If

    End Sub

    Private Sub btnOK_Click(sender As Object, e As EventArgs) Handles btnOK.Click

        '=== 閉じる ===
        Me.Close()

    End Sub

End Class
